Bug 237844 - [PATCH] math/mprime: update to 29.8b3
Summary: [PATCH] math/mprime: update to 29.8b3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-12 01:09 UTC by rozhuk.im
Modified: 2019-05-23 11:27 UTC (History)
2 users (show)

See Also:
rozhuk.im: maintainer-feedback+
rozhuk.im: merge-quarterly?


Attachments
patch (16.20 KB, patch)
2019-05-12 01:09 UTC, rozhuk.im
rozhuk.im: maintainer-approval+
Details | Diff
fix build on i386 (2.03 KB, patch)
2019-05-14 21:09 UTC, rozhuk.im
rozhuk.im: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2019-05-12 01:09:51 UTC
Created attachment 204330 [details]
patch

1)  Support added for AVX-512 FFTs.
2)  FMA3 FFTs now have slightly higher FFT crossover points.  Soft crossovers are
    no longer used by default.  See undoc.txt.
3)  Torture test dialog box options now based on cache sizes.  Options for performing
    a weaker torture test are available.  Torture tests that use all RAM are now more
    stressful.  In-place vs. not in-place memory accesses now displayed on screen.
    On machines with more than 4GB of memory, blend defaults to 1/16th of RAM.
4)  Add & subtract operations for AVX-512 FFTs are now multithreaded.  This should
    improve performance for P-1 and ECM when using multiple threads.
5)  Benchmark results are now written to results.bench.txt.
6)  JSON results are now available for all work performed.  JSON results are
    written to results.json.txt.
7)  PRP tests with Gerbicz error checking are more immune to hardware errors.
Comment 1 commit-hook freebsd_committer 2019-05-12 02:01:16 UTC
A commit references this bug:

Author: swills
Date: Sun May 12 02:00:15 UTC 2019
New revision: 501357
URL: https://svnweb.freebsd.org/changeset/ports/501357

Log:
  math/mprime: update to 29.8b3

  PR:		237844
  Submitted by:	rozhuk.im@gmail.com (maintainer)

Changes:
  head/math/mprime/Makefile
  head/math/mprime/distinfo
  head/math/mprime/files/patch-commonc.c
  head/math/mprime/files/patch-ecm.c
  head/math/mprime/files/patch-gwnum_gwnum.c
  head/math/mprime/files/patch-gwnum_gwutil.c
  head/math/mprime/files/patch-gwnum_makebsd64
  head/math/mprime/files/patch-gwnum_makemsys
  head/math/mprime/files/patch-gwtest.c
  head/math/mprime/files/patch-linux64_makebsd
  head/math/mprime/files/patch-linux_makebsd
Comment 2 Steve Wills freebsd_committer 2019-05-12 02:01:20 UTC
Committed, thanks!
Comment 3 rozhuk.im 2019-05-14 21:09:34 UTC
Created attachment 204380 [details]
fix build on i386
Comment 4 rozhuk.im 2019-05-14 21:10:04 UTC
Fix build on i386
Comment 5 commit-hook freebsd_committer 2019-05-23 11:27:19 UTC
A commit references this bug:

Author: swills
Date: Thu May 23 11:26:29 UTC 2019
New revision: 502338
URL: https://svnweb.freebsd.org/changeset/ports/502338

Log:
  math/mprime: fix i386 build

  Bump PORTREVISION due to CFLAGS change

  PR:		237844
  Submitted by:	rozhuk.im@gmail.com (maintainer)

Changes:
  head/math/mprime/Makefile
  head/math/mprime/files/patch-gwnum_makemsys
  head/math/mprime/files/patch-linux_makebsd
Comment 6 Steve Wills freebsd_committer 2019-05-23 11:27:40 UTC
Committed, thanks!